.grid-container {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  gap: 0px 0px;
  grid-template-areas: "main";
}

.main {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 2fr 1fr;
  gap: 1px 1px;
  grid-template-areas: "alienGrid" "glitchGrid";
  grid-area: main;
}

.alienGrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 1px 1px;
  grid-template-areas: ". . ." ". alienPosition .";
  grid-area: alienGrid;
}

.glitchGrid {
  margin-top:120px;
  grid-area: glitchGrid; }

.alienPosition { grid-area: alienPosition; }

body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
  background: radial-gradient(circle, #2a2a2a, black);
  background-size: cover;
  overflow-y:hidden;
  overflow-x:hidden;
  -webkit-tap-highlight-color: transparent;
}

.alien {
  position:relative;
  width:300px;
  height:300px;
  background-color:#252525;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
  border-top-left-radius:200px;
  border-bottom-left-radius:200px;
  border-bottom-right-radius:50px;
  border-top-right-radius:200px;
  -webkit-box-shadow: 0 0 15px 15px rgba(0,0,0,0.5);
}

.alien:before {
  content:"";
  position:absolute;
  width:80px;
  height:80px;
  background-color: #0b0b0b;
  border-top-left-radius:200px;
  border-bottom-right-radius:200px;
  top:200px;
  left:100px;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.alien:after {
  content:"";
  position:absolute;
  width:80px;
  height:80px;
  background-color: #0b0b0b;
  border-top-left-radius:200px;
  border-bottom-right-radius:200px;
  top:100px;
  left:200px;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

/* .alien:hover {
  background: radial-gradient(circle, grey, #252525);
  -webkit-box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.5), 0 0 20px 20px rgba(0, 0, 0, 0.7);
  box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.5), 0 0 20px 20px rgba(0, 0, 0, 0.7);
} */

/* .alien:hover::after {
  -webkit-box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.4), 0 0 5px 5px rgba(0, 0, 0, 0.4);
  box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.4), 0 0 5px 5px rgba(0, 0, 0, 0.4);
} */

/* .alien:hover::before {
  -webkit-box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.4), 0 0 5px 5px rgba(0, 0, 0, 0.4);
  box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.4), 0 0 5px 5px rgba(0, 0, 0, 0.4);
} */

/* MENU */

.menu  {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    transform: rotate(-45deg);
    right: 20%;
    top: 25%;
}

.line1, .line2 {
    width: 40px;
    height: 5px;
    background: black;
    margin: 2.5px 0;
    transition: .5s;
}

.line3 {
    width: 40px;
    height: 5px;
    background: black;
    margin: 2.5px 0;
    transition: .5s;
}

.line1-toggle {
  width: 40px;
  height: 10px;
  transition: .5s;
  border-top-right-radius: 20px;
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 20px;
  border-top-left-radius:20px;
  
  transform: rotateY(0deg) rotate(245deg) translate(0px, -20px);
  border: 1px solid #00000047;
  position: relative;
  z-index: 1;
}

.line1-toggle::after {
  content:"";
  display:block;
  transform: translate(35px, 16px);
  border-top-right-radius: 5px;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 5px;
  border-top-left-radius:0px;
  width: 40px;
  height: 10px;
  background: black;
  transform: rotateY(0deg) rotate(55deg) translate(6px, 15px);
  border: 1px solid #00000047;
  position: relative;
  z-index: 1;
}

.line2-toggle {
  width: 40px;
  height: 10px;
  transition: .5s;
  border-top-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 0px;
  border-top-left-radius:5px;
  
  transform: rotateY(180deg) rotate(115deg) translate(-1px, 15px);
  border: 1px solid #00000047;
  position: relative;
  z-index: 1;
}

.line2-toggle::after {
  content:"";
  display:block;
  transform: translate(35px, 16px);
  border-top-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  border-top-left-radius:5px;
  width: 40px;
  height: 10px;
  background: black;
  transform: rotateY(180deg) rotate(55deg) translate(8px, 14px);
  border: 1px solid #00000047;
  position: relative;
  z-index: 1;
}

.line3-toggle {
  width: 75px;
  height: 15px;
  transition: .5s;
  border-top-right-radius: 0px;
  border-bottom-left-radius: 200px;
  border-bottom-right-radius: 200px;
  border-top-left-radius:0px;
  
  transform: rotateY(180deg) rotate(100deg) translate(1px, 47px);
  border: 1px solid #00000047;
  position: relative;
  z-index: 1;
  border-radius: 50%;
}

.line3-toggle::after {
  content:"";
  display:block;
  transform: translate(35px, 16px);
    width: 55px;
  height: 6px;
  transition: .5s;
  border-top-right-radius: 0px;
  border-bottom-left-radius: 200px;
  border-bottom-right-radius: 200px;
  border-top-left-radius:0px;
  background: #252525;
  transform: rotateY(0deg) rotate(0deg) translate(18px, -3px);
  border: 1px solid #252525;
  position: relative;
  z-index: 1;
  border-radius: 50%;
}

/* GLITCH */

h1 {
  position: relative;
  text-align: center;
  color: #fff;
  font-size: 5em;
  letter-spacing: 8px;
  font-family: 'Press Start 2P';
  font-weight: 400;
  margin: 0 0 0 0;
  line-height: 0;
  
  animation: glitch1 2.5s infinite;
}

h1:nth-child(2) {
  color: #67f3da;
  animation: glitch2 2.5s infinite;
}

h1:nth-child(3) {
  color: #f16f6f;
  animation: glitch3 2.5s infinite;
}

/*Keyframes*/

@keyframes glitch1 {
  0% {
    transform: none;
    opacity: 1;
  }
  7% {
    transform: skew(-0.5deg, -0.9deg);
    opacity: 0.75;
  }
  10% {
    transform: none;
    opacity: 1;
  }
  27% {
    transform: none;
    opacity: 1;
  }
  30% {
    transform: skew(0.8deg, -0.1deg);
    opacity: 0.75;
  }
  35% {
    transform: none;
    opacity: 1;
  }
  52% {
    transform: none;
    opacity: 1;
  }
  55% {
    transform: skew(-1deg, 0.2deg);
    opacity: 0.75;
  }
  50% {
    transform: none;
    opacity: 1;
  }
  72% {
    transform: none;
    opacity: 1;
  }
  75% {
    transform: skew(0.4deg, 1deg);
    opacity: 0.75;
  }
  80% {
    transform: none;
    opacity: 1;
  }
  100% {
    transform: none;
    opacity: 1;
  }
}

@keyframes glitch2 {
  0% {
    transform: none;
    opacity: 0.25;
  }
  7% {
    transform: translate(-2px, -3px);
    opacity: 0.5;
  }
  10% {
    transform: none;
    opacity: 0.25;
  }
  27% {
    transform: none;
    opacity: 0.25;
  }
  30% {
    transform: translate(-5px, -2px);
    opacity: 0.5;
  }
  35% {
    transform: none;
    opacity: 0.25;
  }
  52% {
    transform: none;
    opacity: 0.25;
  }
  55% {
    transform: translate(-5px, -1px);
    opacity: 0.5;
  }
  50% {
    transform: none;
    opacity: 0.25;
  }
  72% {
    transform: none;
    opacity: 0.25;
  }
  75% {
    transform: translate(-2px, -6px);
    opacity: 0.5;
  }
  80% {
    transform: none;
    opacity: 0.25;
  }
  100% {
    transform: none;
    opacity: 0.25;
  }
}

@keyframes glitch3 {
  0% {
    transform: none;
    opacity: 0.25;
  }
  7% {
    transform: translate(2px, 3px);
    opacity: 0.5;
  }
  10% {
    transform: none;
    opacity: 0.25;
  }
  27% {
    transform: none;
    opacity: 0.25;
  }
  30% {
    transform: translate(5px, 2px);
    opacity: 0.5;
  }
  35% {
    transform: none;
    opacity: 0.25;
  }
  52% {
    transform: none;
    opacity: 0.25;
  }
  55% {
    transform: translate(5px, 1px);
    opacity: 0.5;
  }
  50% {
    transform: none;
    opacity: 0.25;
  }
  72% {
    transform: none;
    opacity: 0.25;
  }
  75% {
    transform: translate(2px, 6px);
    opacity: 0.5;
  }
  80% {
    transform: none;
    opacity: 0.25;
  }
  100% {
    transform: none;
    opacity: 0.25;
  }
}